Package org.zkoss.stateless.sul

## Interface IRowchildren<I extends IAnyGroup>

- All Superinterfaces:
    `IComponent<IRowchildren<I>>`, `IHtmlBasedComponent<IRowchildren<I>>`, `ISingleChildable<IRowchildren<I>,​I>`, `IXulElement<IRowchildren<I>>`

      public interface IRowchildren<I extends IAnyGroup>
      extends IXulElement<IRowchildren<I>>, ISingleChildable<IRowchildren<I>,​I>

  Immutable `Rowchildren` component

  Rowchildren component is used for placing components inside the grid created by rowlayout component. It allows the user to specify the number of grid columns to occupy and whether to skip ahead a few columns.

  Author:
    katherine
  See Also:
    `Rowchildren`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IRowchildren.Builder<I extends IAnyGroup>` | Builds instances of type `IRowchildren`.
    `static class` | `IRowchildren.Updater` | Builds an updater of type `IRowchildren` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRowchildren<IAnyGroup>` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default int` | `getColspan()` | Returns number of columns to occupy
    `default int` | `getOffset()` | Returns number of columns to skip ahead
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static <I extends IAnyGroup> IRowchildren<I>` | `of​(I child)` | Returns the instance with the given child.
    `static <I extends IAnyGroup> IRowchildren<I>` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `IRowchildren` | `withColspan​(int colspan)` | Returns a copy of `this` immutable component with the specified `colspan`.
    `IRowchildren` | `withOffset​(int offset)` | Returns a copy of `this` immutable component with the specified `offset`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.ISingleChildable

      `getChild, withChild`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IRowchildren<IAnyGroup> DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkmax.layout.Rowchildren"`

      Specified by:
        `getWidgetClass` in interface `IComponent<I extends IAnyGroup>`

    - #### getColspan

          default int getColspan()

      Returns number of columns to occupy

      Default: `1`

    - #### withColspan

          IRowchildren withColspan​(int colspan)

      Returns a copy of `this` immutable component with the specified `colspan`.

      Sets number of columns to occupy

      Parameters:
        `colspan` - The number of columns to occupy

        Default: `1`.

      Returns:
        A modified copy of the `this` object

    - #### getOffset

          default int getOffset()

      Returns number of columns to skip ahead

      Default: `0`

    - #### withOffset

          IRowchildren withOffset​(int offset)

      Returns a copy of `this` immutable component with the specified `offset`.

      Sets number of columns to skip ahead

      Parameters:
        `offset` - The number of columns to skip ahead

        Default: `0`.

      Returns:
        A modified copy of the `this` object

    - #### of

          static <I extends IAnyGroup> IRowchildren<I> of​(I child)

      Returns the instance with the given child.
      Parameters:
        `child` - The children belong to any group
      See Also:
        `IAnyGroup`

    - #### ofId

          static <I extends IAnyGroup> IRowchildren<I> ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component